[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.GetFileExtensions

Returns a list of the file extensions available.

## Declaration

Source position: graphics.pp line 849

`public class function TGraphic.GetFileExtensions: string; virtual;`

## Function result

File extensions supported for the graphic format used in the class.

## Description

GetFileExtensions is a String class function used to get a delimited list of file extensions used for graphic files supported in the class. The '.' character is omitted from file extension(s), and extensions are separated by a SemiColon (;) character. For example:

    'jpeg;jpg;jpe;jfif'

GetFileExtensions is declared as a virtual class method, and is overridden in descendants to return the value(s) used for the supported graphic format. In TGraphic, the return value is always an empty string ('').